Botan 1.10.17

Public Member Functions | Public Attributes | List of all members
Botan::Unix_Program Struct Reference

`#include <unix_cmd.h>`

## Public Member Functions
| Unix_Program (const char *n, size_t p)

## Public Attributes
std::string | name_and_args
size_t | priority
bool | working

## Detailed Description

Unix Program Info

Definition at line 21 of file unix_cmd.h.

## Constructor & Destructor Documentation

## ◆ Unix_Program()

Botan::Unix_Program::Unix_Program | ( | const char * | n,
|  | size_t | p
| ) |  |
| inline

Parameters

  n | is the name and arguments of what we are going run
  p | is the priority level (lower prio numbers get polled first)

Definition at line 27 of file unix_cmd.h.

28 { name_and_args = n; priority = p; working = true; }
Botan::Unix_Program::priority
size_t priority
Definition: unix_cmd.h:38
Botan::Unix_Program::name_and_args
std::string name_and_args
Definition: unix_cmd.h:33
Botan::Unix_Program::working
bool working
Definition: unix_cmd.h:43

## Member Data Documentation

## ◆ name_and_args

std::string Botan::Unix_Program::name_and_args

The name and arguments for this command

Definition at line 33 of file unix_cmd.h.

## ◆ priority

size_t Botan::Unix_Program::priority

Priority: we scan from low to high

Definition at line 38 of file unix_cmd.h.

## ◆ working

bool Botan::Unix_Program::working

Does this source seem to be working?

Definition at line 43 of file unix_cmd.h.

The documentation for this struct was generated from the following file:

- src/entropy/unix_procs/unix_cmd.h